import 'package:equatable/equatable.dart';
import 'package:zhiying_base_widget/widgets/home/home_notice/model/home_notice_model.dart';
import 'bloc.dart';

abstract class HomeNoticeState extends Equatable {
  const HomeNoticeState();
  @override
  List<Object> get props => [];
}

/// 初始化事件
class HomeNoticeInitial extends HomeNoticeState {
  @override
  List<Object> get props => [];
}

/// 数据加载完毕
class HomeNoticeLoadedState extends HomeNoticeState {
  final HomeNoticeModel model;

  const HomeNoticeLoadedState({this.model});

  @override
  List<Object> get props => [this.model];
}

/// 数据加载出错
class HomeNoticeErrorState extends HomeNoticeState{

}
